html {
  height: 100%;
}

body {
  overflow-x: hidden;
  overflow-y: scroll;
  background: #eee;
}

body,
#__layout {
  display: flex;
  height: 100%;
}

body,
#__nuxt,
#__layout,
.layout-default,
main,
.page {
  width: 100%;
  min-height: 100vh;
}

.page {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-top: 60px;
  background: $white;

  @include media-breakpoint-up(lg) {
    padding-top: 100px;
  }
}

.module {
  position: relative;
  padding-top: 4rem;
  padding-bottom: 4rem;

  @include media-breakpoint-up(lg) {
    padding-top: 8rem;
    padding-bottom: 8rem;
  }
}

.module-intro {
  padding-top: 5rem;

  @include media-breakpoint-up(md) {
    padding-top: 6rem;
  }

  @include media-breakpoint-up(lg) {
    padding-top: 8rem;
  }

  + .dynamic-content {
    section:first-child > .container > .module-image,
    section:first-child > .container > .module-video {
      padding-top: 0;
    }
  }
}

button,
.btn {
  border-radius: 0;
  font-size: 1.25rem;
  font-weight: 400;
  line-height: 1.1em;
  letter-spacing: 0.25px;
  text-transform: uppercase;
  padding: 1rem 2rem;
}

.bg-white {
  background: $white;
}

.bg-black {
  background: $black;
  color: $white;
}

.bg-yellow {
  background: $yellow;
}

.bg-mint {
  background: $mint;
}

.bg-paper {
  background: #ece9e5;
  background-image: url('/img/reispapier.webp');
}

.container,
.container-fluid {
  @include media-breakpoint-up(md) {
    padding-right: 1.5rem;
    padding-left: 1.5rem;
  }
}

.row {
  @include media-breakpoint-up(md) {
    margin-right: -1.5rem;
    margin-left: -1.5rem;
  }
}

.col,
div[class*='col-'] {
  @include media-breakpoint-up(md) {
    padding-right: 1.5rem;
    padding-left: 1.5rem;
  }
}

@keyframes loading-spin {
  0% {
    transform: rotate(0deg);
  }
  20% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(180deg);
  }
  70% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes loading-knob {
  0% {
    transform: translateX(0);
    background: $red;
  }
  5% {
    transform: translateX(0);
    background: $red;
  }
  15% {
    transform: translateX(25px);
    background: $green;
  }
  30% {
    background: $green;
  }
  55% {
    transform: translateX(25px);
    background: $red;
  }
  65% {
    transform: translateX(0);
    background: $green;
  }
  80% {
    background: $green;
  }
  100% {
    transform: translateX(0);
    background: $red;
  }
}


/** Cookiebot Styling **/
// general
#CybotCookiebotDialogBodyContent {
  letter-spacing: 0.25px !important;
  font-family: $font-family-sans-serif !important;
}

#CybotCookiebotDialog *, #CybotCookiebotDialogBodyUnderlay * {
  font-family: $font-family-sans-serif !important;
  font-weight: 300 !important;
}

// Buttons Borders
#CybotCookiebotDialogFooter .CybotCookiebotDialogBodyButton {
  border: 2px solid $black !important;
}

// AllowAll Button
#CybotCookiebotDialogFooter #CybotCookiebotDialogBodyButtonAccept,
#CybotCookiebotDialogFooter #CybotCookiebotDialogBodyLevelButtonAccept,
#CybotCookiebotDialogFooter #CybotCookiebotDialogBodyLevelButtonLevelOptinAllowAll {
  border: 2px solid $secondary !important;
  background-color: $secondary !important;
}

// Tab Links
#CybotCookiebotDialogNav .CybotCookiebotDialogNavItemLink.CybotCookiebotDialogActive {
  border-color: $primary !important;
  color: $primary !important;
}

// Tab Links :hover
#CybotCookiebotDialogNav .CybotCookiebotDialogNavItemLink:hover {
  color: $primary !important;
}

// Inputs Checked
#CybotCookiebotDialogTabContent input:checked + .CybotCookiebotDialogBodyLevelButtonSlider {
  background-color: $secondary !important;
}

// Details Label
#CybotCookiebotDialog label {
  font-weight: 700 !important;
}

// Details title :hover
#CybotCookiebotDialog .CookieCard .CybotCookiebotDialogDetailBodyContentCookieContainerButton:hover,
#CybotCookiebotDialog .CookieCard .CybotCookiebotDialogDetailBodyContentIABv2Tab:hover,
#CybotCookiebotDialogDetailBodyContentCookieContainerTypes .CybotCookiebotDialogDetailBodyContentCookieProvider:not(.CybotCookiebotDialogDetailBodyContentCookieInfoCount):hover {
  color: $primary !important;
}


// Text Links
#CybotCookiebotDialog #CybotCookiebotDialogBodyContentText a,
#CybotCookiebotDialog #CybotCookiebotDialogBodyLevelButtonIABHeaderViewPartnersLink,
#CybotCookiebotDialog #CybotCookiebotDialogDetailBulkConsentList dt a,
#CybotCookiebotDialog #CybotCookiebotDialogDetailFooter a,
#CybotCookiebotDialog .CybotCookiebotDialogBodyLevelButtonIABDescription a,
#CybotCookiebotDialog .CybotCookiebotDialogDetailBodyContentCookieLink,
#CybotCookiebotDialogDetailBodyContentTextAbout a {
  color: $black !important;
  font-weight: 400 !important;
  text-decoration: underline;
  text-decoration-color: $primary;
  text-decoration-thickness: 0.15em;
  text-underline-offset: 0.3em;
}

@media screen and (min-width: 1280px) {
  // Details dialog card
  #CybotCookiebotDialog .CookieCard .CybotCookiebotDialogDetailBodyContentCookieTypeIntro {
    padding-left: 2.5em;
  }
}
